PHP-инклюдинг в MySpeach

Дата публикации:
23.01.2007
Всего просмотров:
3127
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MySpeach 3.x
Уязвимые версии: MySpeach 3.0.6, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "my_ms[root]" в сценарии up.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/up.php?my[root]=[file]

URL производителя: www.myspeach.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA